Bug 716970 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-06-27 11:37 EDT by Jóhann B. Guðmundsson
Modified: 2014-11-09 17:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 07:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Native systemd service file apmd (315 bytes, text/plain)
2011-07-11 11:48 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-06-27 11:37:12 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-07-11 11:48:29 EDT
Created attachment 512249 [details]
Native systemd service file apmd

What's the current status on this?

I've submitted totally untested service file based on the init script and note that faik modules should be loaded via autoloading based on
bus information, or via /etc/modules-load.d/*.conf. and unloading a module from
the kernel should not be done except for debugging purposes. 

Thus you should propably rop a conf file into /etc/modules-load.d for the module

If you dont have the time to package this make note of that on this bug and I
can see if I can find a proven packager you can package this for you...

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 2 Jóhann B. Guðmundsson 2011-07-15 10:52:29 EDT
Ping you component is part of the Base group hence we need to get some move on this..
Comment 3 Jiri Skala 2011-07-18 03:56:33 EDT
Hi,
APM is quite historical. So I was checking for a support of this service firstly.

Well, I'm searching for hw to test otherwise I'd use your attached unit file. But as you mentioned loading kernel module should be separated into /etc/module-load.d/. This would be only change against attached file. Any comments?
Comment 4 Jóhann B. Guðmundsson 2011-07-18 04:10:46 EDT
Nope not really you would just create a file called apm.conf containing something like..

# Load apm.ko at boot
apm

And remove the line

ExecStartPre=-/sbin/modprobe -qab apm

Note You need to log in before you can comment on or make changes to this bug.